OUTPUT_ARCH(mips)
ENTRY(_start)

SECTIONS
{
	/* Program memory section. */

	. = 0x81c00000;
	.text2 : { *(.text*) }

	. = ALIGN(4);
	.rodata : { *(.rodata*) }

	. = ALIGN(4);
	.sdata : { *(.sdata*) }

	. = ALIGN(4);
	.data : { *(.data*) *(.scommon*) *(.reginfo*) }

	.got : ALIGN(4096) {
		_gp = ALIGN(16);
		_got_start = ABSOLUTE(.);	
		*(.got*)
	}
	_got_end = ABSOLUTE(.);	

	.got_copy : ALIGN(4096) {
		_gp_copy = ALIGN(16);
		_got_copy_start = ABSOLUTE(.);
		. += _got_end - _got_start;
	}
	_got_copy_end = ABSOLUTE(.);

	. = ALIGN(4);
	.sbss : { *(.sbss*) }
	.bss : { *(.bss*) }
	. = ALIGN (4);
}

